org.apache.ignite.internal.processors.platform.services

## Interface PlatformService

All Superinterfaces:
  Serializable, Service

All Known Subinterfaces:
  PlatformDotNetService

All Known Implementing Classes:
  PlatformAbstractService, PlatformDotNetServiceImpl

    public interface PlatformService
    extends Service

Base class for all platform services.

### Method Summary

Methods
`Object` `invokeMethod(String mthdName, boolean srvKeepBinary, Object[] args)` Invokes native service method.
`long` `pointer()` Gets native pointer.

### Methods inherited from interface org.apache.ignite.services.Service

`cancel, execute, init`

### Method Detail

#### invokeMethod

    Object invokeMethod(String mthdName,
                      boolean srvKeepBinary,
                      Object[] args)
                        throws IgniteCheckedException

Invokes native service method.

Parameters:
  `mthdName` - Method name.
  `srvKeepBinary` - Server keep binary flag.
  `args` - Arguments.
Returns:
  Resulting data.
Throws:
  `IgniteCheckedException` - If failed.

#### pointer

    long pointer()

Gets native pointer.

Returns:
  Native pointer.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017